Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.xml
Class XmlConfigurationFactory

    java.lang.Object
      org.apache.logging.log4j.core.config.ConfigurationFactory
          org.apache.logging.log4j.core.config.xml.XmlConfigurationFactory

Direct Known Subclasses:
  AbstractSocketServer.ServerConfigurationFactory

    @Plugin(name="XmlConfigurationFactory",
            category="ConfigurationFactory")
    public class XmlConfigurationFactory

extends ConfigurationFactory

Factory to construct an XmlConfiguration.

Field Summary
`static String[]` | `SUFFIXES` Valid file extensions for XML files.

Fields inherited from class org.apache.logging.log4j.core.config.ConfigurationFactory
`CATEGORY, CONFIGURATION_FACTORY_PROPERTY, CONFIGURATION_FILE_PROPERTY, DEFAULT_PREFIX, LOGGER, substitutor, TEST_PREFIX`

Constructor Summary
`XmlConfigurationFactory()`

Method Summary
`Configuration` | `getConfiguration(ConfigurationSource source)` Returns the Configuration.
`String[]` | `getSupportedTypes()` Returns the file suffixes for XML files.

Methods inherited from class org.apache.logging.log4j.core.config.ConfigurationFactory
`getConfiguration, getConfiguration, getInputFromResource, getInputFromString, getInputFromUri, getInstance, isActive, removeConfigurationFactory, resetConfigurationFactory, setConfigurationFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUFFIXES

    public static final String[] SUFFIXES

  Valid file extensions for XML files.

Constructor Detail

### XmlConfigurationFactory

    public XmlConfigurationFactory()

Method Detail

### getConfiguration

    public Configuration getConfiguration(ConfigurationSource source)

  Returns the Configuration.

  Specified by:
    `getConfiguration` in class `ConfigurationFactory`
  Parameters:
    `source` - The InputSource.
  Returns:
    The Configuration.

### getSupportedTypes

    public String[] getSupportedTypes()

  Returns the file suffixes for XML files.

  Specified by:
    `getSupportedTypes` in class `ConfigurationFactory`
  Returns:
    An array of File extensions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.